import { ValidatorFn, AsyncValidatorFn } from "@angular/forms";
import { Hooks } from "../models/interface/action-config";
import { BaseFormControlConfig } from './base-form-control-config';
import { RxFormControl } from "@rxweb/reactive-form-validators";
export declare abstract class FormControlConfig extends BaseFormControlConfig {
    controlsConfig: {
        [key: string]: FormControlConfig;
    };
    private _formControl;
    constructor(fieldConfig: {
        [key: string]: any;
    }, controlsConfig: {
        [key: string]: FormControlConfig;
    }, notificationId: number);
    private overrideProperty;
    overrides: any;
    inputs: any;
    events: any;
    value: any;
    disabled: boolean;
    label: string;
    img: string;
    placeholder: string;
    hide: boolean;
    description: string;
    focus: boolean;
    readonly: boolean;
    class: string[];
    isPlainTextMode: boolean;
    validator: ValidatorFn;
    asyncValidator: AsyncValidatorFn;
    hooks: Hooks;
    set formControl(value: RxFormControl);
    get formControl(): RxFormControl;
    get errorMessage(): string;
    get prependText(): any;
}
export declare class ControlConfig extends FormControlConfig {
    constructor(fieldConfig: {
        [key: string]: any;
    }, controlsConfig: {
        [key: string]: FormControlConfig;
    });
}
